rmdir /q /s classes
rmdir /q /s javadoc

echo "Making directory structure"
mkdir classes\pl\net\linux\krzak\kchat\server
mkdir classes\pl\net\linux\krzak\kchat\applet
mkdir javadoc\applet
mkdir javadoc\server

set CLASSPATH=classes;src;%CLASSPATH%
echo "Compiling"
"%JAVA_HOME%\bin\javac.exe" -d classes src\pl\net\linux\krzak\kchat\server\kChatServer.java 
"%JAVA_HOME%\bin\javac.exe" -d classes src\pl\net\linux\krzak\kchat\applet\kChatApplet.java -deprecation
echo "Building jars"

cd classes
"%JAVA_HOME%\bin\jar.exe" cfm ..\jars\kChatserver.jar ..\manifest/manifest.mf pl\net\linux\krzak\kchat\server
"%JAVA_HOME%\bin\jar.exe" cf ..\jars\kChatapplet.jar  pl\net\linux\krzak\kchat\applet
cd ..

echo "Building javadoc"
"%JAVA_HOME%\bin\javadoc.exe" -d javadoc\applet src\pl\net\linux\krzak\kchat\applet\*.*
"%JAVA_HOME%\bin\javadoc.exe" -d javadoc\server src\pl\net\linux\krzak\kchat\server\*.*

rmdir /q /s classes
